$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.159.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.159.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '628E57495C239DDC8C4C82B3B1093FEF8785FDBFCF0CDED2845039174B3BA725'
  checksumType = 'sha256'
  checksum64 = '628E57495C239DDC8C4C82B3B1093FEF8785FDBFCF0CDED2845039174B3BA725'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.159-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
